Subject: Re: I want to stay with a sibling window

From: martin rudalics <[email-masked]>
Date: Fri, 11 Jun 2010 15:22:07 +0200

> A small patch to make the selected window one of the siblings when the
 > selected window is deleted.
 >
 > I do not understand the code so I am not sure this is correct. Martin?

  	if (EQ (FRAME_SELECTED_WINDOW (f), selected_window))

This conditional checks only whether f is the selected frame.  You
probably want to make sib the frame's selected window whenever you
delete the frame's selected window.

        if (!EQ (XWINDOW (window)->frame, selected_frame))
-	Fmake_frame_visible (WINDOW_FRAME (XWINDOW (window)));
+	Fmake_frame_visible (WINDOW_FRAME (XWINDOW (window)), Qnil);

And you almost certainly want to tell us what this is meant for ;-)

martin